- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnLatticeData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Lattice Data dependency graph type.

This simple function set is used to create lattice data objects that can be transmitted through the dependency graph. It can also be used to extract the lattice geometry from the data object.

See MDataHandle and MDataBlock for more information about getting and setting data in the dependency graph.

Examples:

  latticeNoiseNode.cpp.

`#include <MFnLatticeData.h>`

Inheritance diagram for MFnLatticeData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnLatticeData ()
| Destructor.
| MFnLatticeData ()
| Default constructor.
| MFnLatticeData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| This method create a new lattice data object for use with the dependency graph.
MObject | lattice (MStatus *ReturnStatus=NULL)
| Returns the lattice geometry so that it may be modified using the MFnLattice function set.
| MFnLatticeData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnLatticeData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnLatticeData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kLatticeData.

Reimplemented from MFnGeometryData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnLatticeData".

Reimplemented from MFnGeometryData.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

This method create a new lattice data object for use with the dependency graph.

A node's lattice attribute may be set with this object using MDataHandle.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  A handle to the new lattice data object

Status Codes:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory out of memory

MObject lattice | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Returns the lattice geometry so that it may be modified using the MFnLattice function set.

It is possible that the data object will be NULL, indicating that the data handle (MDataHandle) or plug (MPlug) that owns this data has not initialized it. In this case, the create method of this function set can be used to create a new data object that can be used to set the data handle or plug.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  A handle to the new lattice data object

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have valid object

MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData
MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData MFnLatticeData